Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DGEHD2

    java.lang.Object
      org.netlib.lapack.DGEHD2

    public class DGEHD2

extends java.lang.Object

    DGEHD2 is a simplified interface to the JLAPACK routine dgehd2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGEHD2 reduces a real general matrix A to upper Hessenberg form H by

     *  an orthogonal similarity transformation:  Q' * A * Q = H .
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  ILO     (input) INTEGER
     *  IHI     (input) INTEGER
     *          It is assumed that A is already upper triangular in rows
     *          and columns 1:ILO-1 and IHI+1:N. ILO and IHI are normally
     *          set by a previous call to DGEBAL; otherwise they should be
     *          set to 1 and N respectively. See Further Details.
     *          1 <= ILO <= IHI <= max(1,N).
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the n by n general matrix to be reduced.
     *          On exit, the upper triangle and the first subdiagonal of A
     *          are overwritten with the upper Hessenberg matrix H, and the
     *          elements below the first subdiagonal, with the array TAU,
     *          represent the orthogonal matrix Q as a product of elementary

     *          reflectors. See Further Details.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  TAU     (output) DOUBLE PRECISION array, dimension (N-1)
     *          The scalar factors of the elementary reflectors (see Further

     *          Details).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  Further Details
     *  ===============
     *
     *  The matrix Q is represented as a product of (ihi-ilo) elementary
     *  reflectors
     *
     *     Q = H(ilo) H(ilo+1) . . . H(ihi-1).
     *
     *  Each H(i) has the form
     *
     *     H(i) = I - tau * v * v'
     *
     *  where tau is a real scalar, and v is a real vector with
     *  v(1:i) = 0, v(i+1) = 1 and v(ihi+1:n) = 0; v(i+2:ihi) is stored on
     *  exit in A(i+2:ihi,i), and tau in TAU(i).
     *
     *  The contents of A are illustrated by the following example, with
     *  n = 7, ilo = 2 and ihi = 6:
     *
     *  on entry,                        on exit,
     *
     *  ( a   a   a   a   a   a   a )    (  a   a   h   h   h   h   a )
     *  (     a   a   a   a   a   a )    (      a   h   h   h   h   a )
     *  (     a   a   a   a   a   a )    (      h   h   h   h   h   h )
     *  (     a   a   a   a   a   a )    (      v2  h   h   h   h   h )
     *  (     a   a   a   a   a   a )    (      v2  v3  h   h   h   h )
     *  (     a   a   a   a   a   a )    (      v2  v3  v4  h   h   h )
     *  (                         a )    (                          a )
     *
     *  where a denotes an element of the original matrix A, h denotes a
     *  modified element of the upper Hessenberg matrix H, and vi denotes an

     *  element of the vector defining H(i).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DGEHD2()`

Method Summary
`static void` | `DGEHD2(int n, int ilo, int ihi, double[][] a, double[] tau, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGEHD2

    public DGEHD2()

Method Detail

### DGEHD2

    public static void DGEHD2(int n,
                              int ilo,
                              int ihi,
                              double[][] a,
                              double[] tau,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD